Bug 1248024 - Timers are reset during the serialization process
Timers are reset during the serialization process
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.2.0
Assigned To: Mario Fusco
Marek Winkler
Depends On:
Blocks: 1248429 1249886
  Show dependency treegraph
Reported: 2015-07-29 09:06 EDT by Anton Giertli
Modified: 2015-10-14 04:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1248429 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-795 Major Resolved Timers are reset during the serialization process 2016-06-30 15:46 EDT

  None (edit)
Description Anton Giertli 2015-07-29 09:06:41 EDT
Description of problem:
When the marshall serializes a timer it doesn't take count of how much time it is already passed, so when the timer is deserialized it restart from it start time. The following failing test case reproduces the problem.

This is a product BZ for the known issue reported via JIRA

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Mario Fusco 2015-07-29 10:05:55 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/1627f9be7
Comment 3 Mario Fusco 2015-08-04 09:29:55 EDT
This commit is also necessary to avoid breaking TimerJobFactoryType compatibility of serialiazed session https://github.com/droolsjbpm/drools/commit/7a0fa4bc22de40985da3a3c5b3d0783236a5bbbd
Comment 5 Marek Winkler 2015-10-14 04:48:59 EDT
Verified in BRMS 6.2.0.ER3.

Note You need to log in before you can comment on or make changes to this bug.